Bug 1278867 - [abrt] gnome-shell: g_cancellable_disconnect(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: g_cancellable_disconnect(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:83395670ed8057f836a7fb125e2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 10:32 EST by Joachim Frieben
Modified: 2017-08-08 08:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:22:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.07 KB, text/plain)
2015-11-06 10:32 EST, Joachim Frieben
no flags Details
File: cgroup (200 bytes, text/plain)
2015-11-06 10:32 EST, Joachim Frieben
no flags Details
File: core_backtrace (22.50 KB, text/plain)
2015-11-06 10:32 EST, Joachim Frieben
no flags Details
File: dso_list (24.79 KB, text/plain)
2015-11-06 10:32 EST, Joachim Frieben
no flags Details
File: environ (1.48 KB, text/plain)
2015-11-06 10:32 EST, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-06 10:32 EST, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-06 10:32 EST, Joachim Frieben
no flags Details
File: maps (99.92 KB, text/plain)
2015-11-06 10:32 EST, Joachim Frieben
no flags Details
File: mountinfo (3.74 KB, text/plain)
2015-11-06 10:32 EST, Joachim Frieben
no flags Details
File: open_fds (3.62 KB, text/plain)
2015-11-06 10:32 EST, Joachim Frieben
no flags Details
File: proc_pid_status (1.15 KB, text/plain)
2015-11-06 10:33 EST, Joachim Frieben
no flags Details
File: var_log_messages (403 bytes, text/plain)
2015-11-06 10:33 EST, Joachim Frieben
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 757668 None None None Never

  None (edit)
Description Joachim Frieben 2015-11-06 10:32:39 EST
Description of problem:
I entered and confirmed the root password in the authentication dialog window fro installing a printer.

Version-Release number of selected component:
gnome-shell-3.19.1-2.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_cancellable_disconnect
executable:     /usr/bin/gnome-shell
global_pid:     1914
kernel:         4.4.0-0.rc0.git2.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_cancellable_disconnect at gcancellable.c:629
 #1 auth_request_free at shell-polkit-authentication-agent.c:210
 #2 auth_request_complete at shell-polkit-authentication-agent.c:357
 #3 ffi_call_unix64 at ../src/x86/unix64.S:76
 #4 ffi_call at ../src/x86/ffi64.c:525
 #5 gjs_invoke_c_function at gi/function.cpp:999
 #6 function_call at gi/function.cpp:1322
 #7 js::CallJSNative at /usr/src/debug/mozjs-24.2.0/js/src/jscntxtinlines.h:321
 #8 js::Invoke at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:474
 #9 Interpret at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:2298
Comment 1 Joachim Frieben 2015-11-06 10:32:44 EST
Created attachment 1090697 [details]
File: backtrace
Comment 2 Joachim Frieben 2015-11-06 10:32:46 EST
Created attachment 1090698 [details]
File: cgroup
Comment 3 Joachim Frieben 2015-11-06 10:32:47 EST
Created attachment 1090699 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2015-11-06 10:32:49 EST
Created attachment 1090700 [details]
File: dso_list
Comment 5 Joachim Frieben 2015-11-06 10:32:50 EST
Created attachment 1090701 [details]
File: environ
Comment 6 Joachim Frieben 2015-11-06 10:32:52 EST
Created attachment 1090702 [details]
File: exploitable
Comment 7 Joachim Frieben 2015-11-06 10:32:53 EST
Created attachment 1090703 [details]
File: limits
Comment 8 Joachim Frieben 2015-11-06 10:32:56 EST
Created attachment 1090704 [details]
File: maps
Comment 9 Joachim Frieben 2015-11-06 10:32:57 EST
Created attachment 1090705 [details]
File: mountinfo
Comment 10 Joachim Frieben 2015-11-06 10:32:59 EST
Created attachment 1090706 [details]
File: open_fds
Comment 11 Joachim Frieben 2015-11-06 10:33:00 EST
Created attachment 1090707 [details]
File: proc_pid_status
Comment 12 Joachim Frieben 2015-11-06 10:33:01 EST
Created attachment 1090708 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 08:55:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Fedora End Of Life 2017-07-25 15:26:52 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-08-08 08:22:04 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.